# std::counting_semaphore<LeastMaxValue>::counting_semaphore

From cppreference.com
< cpp‎ | thread‎ | counting semaphore

constexpr explicit counting_semaphore( std::ptrdiff_t desired ); | (1) | (since C++20)
counting_semaphore( const counting_semaphore& ) = delete; | (2) | (since C++20)

1) Constructs an object of type `std::counting_semaphore` with the internal counter initialized to desired.
2) Copy constructor is deleted.

### Preconditions

1) Both desired >= 0 and desired <= max() are true.

### Parameters

desired | - | the value to initialize `counting_semaphore`'s counter with

### Exceptions

Throws nothing.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/thread/counting_semaphore/counting_semaphore&oldid=161125"